MediaWiki:Common.css: различия между версиями

мНет описания правки
м Замена текста — «--theme-bg-color-250» на «--theme-bg-color-200»
Строка 362: Строка 362:
--theme-bg-color-100: #202025;
--theme-bg-color-100: #202025;
--theme-bg-color-150: color-mix(in srgb, var(--theme-bg-color-100) 50%, hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + 5%)));
--theme-bg-color-150: color-mix(in srgb, var(--theme-bg-color-100) 50%, hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + 5%)));
--theme-bg-color-250: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 5%));
--theme-bg-color-200: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 5%));
--theme-bg-color-300: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 7%));
--theme-bg-color-300: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 7%));
--theme-bg-color-400: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 9%));
--theme-bg-color-400: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 9%));
--theme-bg--rgba: 51, 51, 63;
--theme-bg--rgba: 51, 51, 63;
--theme-bg-light--rgba: 61, 61, 73;
--theme-bg-light--rgba: 61, 61, 73;
--theme-bg-header--gradient: linear-gradient(120deg, var(--theme-bg-color-300), var(--theme-bg-color-250));
--theme-bg-header--gradient: linear-gradient(120deg, var(--theme-bg-color-300), var(--theme-bg-color-200));
--theme-bg-header-light--gradient: linear-gradient(120deg, var(--theme-bg-color-400), var(--theme-bg-color-250));
--theme-bg-header-light--gradient: linear-gradient(120deg, var(--theme-bg-color-400), var(--theme-bg-color-200));
--theme-bg-header-light--gradient-center: linear-gradient(120deg, var(--theme-bg-color-250) 0%, var(--theme-bg-color-400) 50%, var(--theme-bg-color-250) 100%);
--theme-bg-header-light--gradient-center: linear-gradient(120deg, var(--theme-bg-color-200) 0%, var(--theme-bg-color-400) 50%, var(--theme-bg-color-200) 100%);


/*== Цвет границ ==*/
/*== Цвет границ ==*/
Строка 1057: Строка 1057:
.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
.navbox-subgroup .navbox-abovebelow {
background: var(--theme-bg-color-250); /* Level 2 color */
background: var(--theme-bg-color-200); /* Level 2 color */
border-right: 1px solid var(--theme-bg-color-150);
border-right: 1px solid var(--theme-bg-color-150);
border-bottom: 1px solid var(--theme-bg-color-150);
border-bottom: 1px solid var(--theme-bg-color-150);
Строка 1597: Строка 1597:


.wikitable>*>tr>td {
.wikitable>*>tr>td {
background: var(--theme-bg-color-250);
background: var(--theme-bg-color-200);
}
}


Строка 3092: Строка 3092:
.tabs-tabbox > .tabs-input:checked + .tabs-label,
.tabs-tabbox > .tabs-input:checked + .tabs-label,
.tabs-input-0:checked + .tabs-input-1 + .tabs-label {
.tabs-input-0:checked + .tabs-input-1 + .tabs-label {
background: var(--theme-bg-color-250);
background: var(--theme-bg-color-200);
border-top: 1px solid rgba(var(--theme-color-lighter--rgb), var(--alpha-xs));
border-top: 1px solid rgba(var(--theme-color-lighter--rgb), var(--alpha-xs));
border-bottom: 1px solid var(--color-contrast);
border-bottom: 1px solid var(--color-contrast);
Строка 3116: Строка 3116:
.tabs-tabbox > .tabs-label:hover {
.tabs-tabbox > .tabs-label:hover {
z-index: 2;
z-index: 2;
background: var(--theme-bg-color-250);
background: var(--theme-bg-color-200);
transition: all 0.1s;
transition: all 0.1s;
}
}
Строка 3123: Строка 3123:
.tabs-tabbox > .tabs-container {
.tabs-tabbox > .tabs-container {
padding: 14px 10px;
padding: 14px 10px;
background: var(--theme-bg-color-250);
background: var(--theme-bg-color-200);
border: 1px solid rgba(var(--color-darkened--rgb), var(--alpha-m));
border: 1px solid rgba(var(--color-darkened--rgb), var(--alpha-m));
border-top: 1px solid rgba(var(--theme-color-lighter--rgb), var(--alpha-x));
border-top: 1px solid rgba(var(--theme-color-lighter--rgb), var(--alpha-x));
Строка 5270: Строка 5270:


.druid-container tbody tr.druid-row:nth-child(3) {
.druid-container tbody tr.druid-row:nth-child(3) {
background: var(--theme-bg-color-250) !important;
background: var(--theme-bg-color-200) !important;
}
}


Строка 5282: Строка 5282:


.druid-container tr:not(.data-druid-section):nth-child(even) {
.druid-container tr:not(.data-druid-section):nth-child(even) {
background: var(--theme-bg-color-250);
background: var(--theme-bg-color-200);
}
}


Строка 5522: Строка 5522:
user-select: none;
user-select: none;
-webkit-user-drag: none;
-webkit-user-drag: none;
background: var(--theme-bg-color-250);
background: var(--theme-bg-color-200);
border-radius: var(--border-radius-medium);
border-radius: var(--border-radius-medium);
transition-property: background,box-shadow;
transition-property: background,box-shadow;